#!/bin/sh
OWNHOST="[::1]"

podman run \
	-d \
	--network=host \
	--name node-1 \
	redxen.eu/daemons/etcd \
		--name node-1 \
		--listen-peer-urls 'https://[::]:2380' \
		--initial-advertise-peer-urls "https://$OWNHOST:2380" \
		--listen-client-urls 'https://[::]:2379' \
		--advertise-client-urls "https://$OWNHOST:2379" \
		--initial-cluster-state new \
		--initial-cluster "node-1=https://$OWNHOST:2380,node-2=https://$OWNHOST:2381,node-3=https://$OWNHOST:2382"

podman run \
	-d \
	--network=host \
	--name node-2 \
	redxen.eu/daemons/etcd \
		--name node-2 \
		--listen-peer-urls 'https://[::]:2381' \
		--initial-advertise-peer-urls "https://$OWNHOST:2381" \
		--listen-client-urls 'https://[::]:2378' \
		--advertise-client-urls "https://$OWNHOST:2378" \
		--initial-cluster-state new \
		--initial-cluster "node-1=https://$OWNHOST:2380,node-2=https://$OWNHOST:2381,node-3=https://$OWNHOST:2382"

podman run \
	-d \
	--network=host \
	--name node-3 \
	redxen.eu/daemons/etcd \
		--name node-3 \
		--listen-peer-urls 'https://[::]:2382' \
		--initial-advertise-peer-urls "https://$OWNHOST:2382" \
		--listen-client-urls 'https://[::]:2377' \
		--advertise-client-urls "https://$OWNHOST:2377" \
		--initial-cluster-state new \
		--initial-cluster "node-1=https://$OWNHOST:2380,node-2=https://$OWNHOST:2381,node-3=https://$OWNHOST:2382"
